Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.sw
Enum Statement_Special.Type

    java.lang.Object
      java.lang.Enum<Statement_Special.Type>
          rdlc.sw.Statement_Special.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Statement_Special.Type>

Enclosing class:
  Statement_Special

    public static enum Statement_Special.Type

extends java.lang.Enum<Statement_Special.Type>

Iterator of all the special statements.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Enum Constant Summary
`Assert`
`Break`
`Continue`
`Return`
`Throw`

Method Summary
`static Statement_Special.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Statement_Special.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Return

    public static final Statement_Special.Type Return

### Throw

    public static final Statement_Special.Type Throw

### Continue

    public static final Statement_Special.Type Continue

### Break

    public static final Statement_Special.Type Break

### Assert

    public static final Statement_Special.Type Assert

Method Detail

### values

    public static final Statement_Special.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Statement_Special.Type c : Statement_Special.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Statement_Special.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD